#!/bin/sh

srcdir=..

for i in ${srcdir}/tests/*.test; do
    oldname=$(echo $i | sed -e "s,${srcdir}/,,")
    newname=$oldname

    # *demo-*
    if (echo $oldname | grep demo 2>&1 >/dev/null); then
	newname=$(echo $oldname | sed 's,\(/[a-z]*\)demo,\1d,')
    fi

    # build-relink*
    if (echo $oldname | grep build-relink 2>&1 >/dev/null); then
	newname=$(echo $oldname | sed 's,build-relink,bld-rlnk,')
    fi

    echo $oldname $newname
done
